#ifndef MYGRAPH2_HH
#define MYGRAPH2_HH
#include <gtkmm.h>
#include <iostream>
#include <map>
#include <set>
#include <vector>

using namespace std;

class MyGraphView : public Gtk::DrawingArea
{
public:
  ~MyGraphView(){}
  MyGraphView() : DrawingArea(), d_last(0), d_realized(false)
  {
    d_ylimit=50;
    set_size_request(800,300);
  }

  virtual void on_realize();
  virtual bool on_expose_event(GdkEventExpose *g);
  void addPoint(int val);
  bool on_timeout();
private:
  int d_ylimit;
  double d_last;
  bool on_configure_event(GdkEventConfigure*);
  bool d_realized;
  Glib::RefPtr<Gdk::Window> d_win;
  vector<pair<double,int> > d_points;
  Glib::RefPtr<Gdk::GC> d_bg;
  Glib::RefPtr<Gdk::GC> d_first;
  Glib::RefPtr<Gdk::GC> d_second;
  Glib::RefPtr<Gdk::GC> d_grid;
  
  Gdk::Color d_white;

  Glib::RefPtr<Gdk::Pixmap> d_scribble;
};

#endif
